<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:03 CET 2009 -->
<TITLE>
LogFragmenter
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.util.logging.LogFragmenter class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="LogFragmenter";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/LogFragmenter.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/util/logging/LogFormatter.LogParameter.html" title="enum in ch.javasoft.util.logging"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/util/logging/Loggers.html" title="class in ch.javasoft.util.logging"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/logging/LogFragmenter.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="LogFragmenter.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.util.logging</FONT>
<BR>
Class LogFragmenter</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.util.logging.LogFragmenter</B>
</PRE>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../src-html/ch/javasoft/util/logging/LogFragmenter.html#line.67"><B>LogFragmenter</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></DL>
</PRE>

<P>
The <code>LogFragmenter</code> allows fragmented logging of a log record, 
 which might for instance result as a single line in the log file. Normally,
 a record is logged as one line. With this class, multiple log records can be 
 logged on a single line. 
 <p>
 Fragmented logging starts with one of the <tt>xxxStart(..)</tt> methods, for
 instance, <A HREF="../../../../ch/javasoft/util/logging/LogFragmenter.html#infoStart(java.lang.String)"><CODE>infoStart(String)</CODE></A> to log with the INFO log level. The 
 subsequent calls which should appear on the same line are logged with <A HREF="../../../../ch/javasoft/util/logging/LogFragmenter.html#append(java.lang.String)"><CODE>append(String)</CODE></A>, and the line is completed with <A HREF="../../../../ch/javasoft/util/logging/LogFragmenter.html#end()"><CODE>end()</CODE></A> or 
 <A HREF="../../../../ch/javasoft/util/logging/LogFragmenter.html#end(java.lang.String)"><CODE>end(String)</CODE></A>.
 <p>
 Sample usage:
 <pre>
   Logger logger      = Logger.getLogger("myLogger");
   LogFragmenter frag = new LogFragmenter(logger);
   frag.start("Counting to 10: ", Level.INFO);
   for (int i = 1; i <= 10; i++) {
      if (i > 1) frag.append(", ");
      frag.append(String.valueOf(i));
   }
   frag.end();
 </pre>
 <p>
 NOTE: this class is intended to be used with the <A HREF="../../../../ch/javasoft/util/logging/LogFormatter.html" title="class in ch.javasoft.util.logging"><CODE>LogFormatter</CODE></A>.
<P>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/logging/LogFragmenter.html#LogFragmenter(java.util.logging.Logger)">LogFragmenter</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Logger.html" title="class or interface in java.util.logging">Logger</A>&nbsp;logger)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor with logger to log to</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/logging/LogFragmenter.html#LogFragmenter(java.lang.String)">LogFragmenter</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;logger)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor with name of the logger to log to</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/logging/LogFragmenter.html#append(java.lang.String)">append</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;msg)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Append the given message to the log, usually printed on the same log line</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/logging/LogFragmenter.html#cleanUp()">cleanUp</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;End fragmented logging if it is started, or do nothing otherwise</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/logging/LogFragmenter.html#configStart(java.lang.String)">configStart</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;msg)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Start fragmented logging with the given message at log level CONFIG
 
 Calls <A HREF="../../../../ch/javasoft/util/logging/LogFragmenter.html#start(java.lang.String, java.util.logging.Level)"><CODE>start(String, Level)</CODE></A> with <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Level.html#CONFIG" title="class or interface in java.util.logging"><CODE>Level.CONFIG</CODE></A></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/logging/LogFragmenter.html#end()">end</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;End fragmented logging without any additional message</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/logging/LogFragmenter.html#end(java.lang.String)">end</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;msg)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;End fragmented logging, appending the given message before logging is 
 closed</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/logging/LogFragmenter.html#finerStart(java.lang.String)">finerStart</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;msg)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Start fragmented logging with the given message at log level FINER
 
 Calls <A HREF="../../../../ch/javasoft/util/logging/LogFragmenter.html#start(java.lang.String, java.util.logging.Level)"><CODE>start(String, Level)</CODE></A> with <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Level.html#FINER" title="class or interface in java.util.logging"><CODE>Level.FINER</CODE></A></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/logging/LogFragmenter.html#fineStart(java.lang.String)">fineStart</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;msg)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Start fragmented logging with the given message at log level FINE
 
 Calls <A HREF="../../../../ch/javasoft/util/logging/LogFragmenter.html#start(java.lang.String, java.util.logging.Level)"><CODE>start(String, Level)</CODE></A> with <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Level.html#FINE" title="class or interface in java.util.logging"><CODE>Level.FINE</CODE></A></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/logging/LogFragmenter.html#finestStart(java.lang.String)">finestStart</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;msg)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Start fragmented logging with the given message at log level FINEST
 
 Calls <A HREF="../../../../ch/javasoft/util/logging/LogFragmenter.html#start(java.lang.String, java.util.logging.Level)"><CODE>start(String, Level)</CODE></A> with <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Level.html#FINEST" title="class or interface in java.util.logging"><CODE>Level.FINEST</CODE></A></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/logging/LogFragmenter.html#infoStart(java.lang.String)">infoStart</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;msg)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Start fragmented logging with the given message at log level INFO
 
 Calls <A HREF="../../../../ch/javasoft/util/logging/LogFragmenter.html#start(java.lang.String, java.util.logging.Level)"><CODE>start(String, Level)</CODE></A> with <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Level.html#INFO" title="class or interface in java.util.logging"><CODE>Level.INFO</CODE></A></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/logging/LogFragmenter.html#isStarted()">isStarted</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/logging/LogFragmenter.html#severeStart(java.lang.String)">severeStart</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;msg)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Start fragmented logging with the given message at log level SEVERE
 
 Calls <A HREF="../../../../ch/javasoft/util/logging/LogFragmenter.html#start(java.lang.String, java.util.logging.Level)"><CODE>start(String, Level)</CODE></A> with <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Level.html#SEVERE" title="class or interface in java.util.logging"><CODE>Level.SEVERE</CODE></A></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/logging/LogFragmenter.html#start(java.lang.String, java.util.logging.Level)">start</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;msg,
           <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Level.html" title="class or interface in java.util.logging">Level</A>&nbsp;level)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Start fragmented logging with the given message at the given level</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/logging/LogFragmenter.html#warningStart(java.lang.String)">warningStart</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;msg)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Start fragmented logging with the given message at log level WARNING
 
 Calls <A HREF="../../../../ch/javasoft/util/logging/LogFragmenter.html#start(java.lang.String, java.util.logging.Level)"><CODE>start(String, Level)</CODE></A> with <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Level.html#WARNING" title="class or interface in java.util.logging"><CODE>Level.WARNING</CODE></A></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="LogFragmenter(java.lang.String)"><!-- --></A><H3>
LogFragmenter</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/logging/LogFragmenter.html#line.78"><B>LogFragmenter</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;logger)</PRE>
<DL>
<DD>Constructor with name of the logger to log to
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>logger</CODE> - the name of the logger to log to<DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Logger.html#getLogger(java.lang.String)" title="class or interface in java.util.logging"><CODE>Logger.getLogger(String)</CODE></A></DL>
</DL>
<HR>

<A NAME="LogFragmenter(java.util.logging.Logger)"><!-- --></A><H3>
LogFragmenter</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/logging/LogFragmenter.html#line.86"><B>LogFragmenter</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Logger.html" title="class or interface in java.util.logging">Logger</A>&nbsp;logger)</PRE>
<DL>
<DD>Constructor with logger to log to
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>logger</CODE> - the logger to log to</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="start(java.lang.String, java.util.logging.Level)"><!-- --></A><H3>
start</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/logging/LogFragmenter.html#line.98"><B>start</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;msg,
                  <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Level.html" title="class or interface in java.util.logging">Level</A>&nbsp;level)
           throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalStateException.html" title="class or interface in java.lang">IllegalStateException</A></PRE>
<DL>
<DD>Start fragmented logging with the given message at the given level
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>msg</CODE> - the message to start logging with<DD><CODE>level</CODE> - the level on which all log messages (until end is called)
                                will be logged
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalStateException.html" title="class or interface in java.lang">IllegalStateException</A></CODE> - if the logger has already been started</DL>
</DD>
</DL>
<HR>

<A NAME="severeStart(java.lang.String)"><!-- --></A><H3>
severeStart</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/logging/LogFragmenter.html#line.111"><B>severeStart</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;msg)</PRE>
<DL>
<DD>Start fragmented logging with the given message at log level SEVERE
 
 Calls <A HREF="../../../../ch/javasoft/util/logging/LogFragmenter.html#start(java.lang.String, java.util.logging.Level)"><CODE>start(String, Level)</CODE></A> with <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Level.html#SEVERE" title="class or interface in java.util.logging"><CODE>Level.SEVERE</CODE></A>
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="warningStart(java.lang.String)"><!-- --></A><H3>
warningStart</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/logging/LogFragmenter.html#line.119"><B>warningStart</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;msg)</PRE>
<DL>
<DD>Start fragmented logging with the given message at log level WARNING
 
 Calls <A HREF="../../../../ch/javasoft/util/logging/LogFragmenter.html#start(java.lang.String, java.util.logging.Level)"><CODE>start(String, Level)</CODE></A> with <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Level.html#WARNING" title="class or interface in java.util.logging"><CODE>Level.WARNING</CODE></A>
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="infoStart(java.lang.String)"><!-- --></A><H3>
infoStart</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/logging/LogFragmenter.html#line.127"><B>infoStart</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;msg)</PRE>
<DL>
<DD>Start fragmented logging with the given message at log level INFO
 
 Calls <A HREF="../../../../ch/javasoft/util/logging/LogFragmenter.html#start(java.lang.String, java.util.logging.Level)"><CODE>start(String, Level)</CODE></A> with <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Level.html#INFO" title="class or interface in java.util.logging"><CODE>Level.INFO</CODE></A>
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="configStart(java.lang.String)"><!-- --></A><H3>
configStart</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/logging/LogFragmenter.html#line.135"><B>configStart</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;msg)</PRE>
<DL>
<DD>Start fragmented logging with the given message at log level CONFIG
 
 Calls <A HREF="../../../../ch/javasoft/util/logging/LogFragmenter.html#start(java.lang.String, java.util.logging.Level)"><CODE>start(String, Level)</CODE></A> with <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Level.html#CONFIG" title="class or interface in java.util.logging"><CODE>Level.CONFIG</CODE></A>
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="fineStart(java.lang.String)"><!-- --></A><H3>
fineStart</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/logging/LogFragmenter.html#line.143"><B>fineStart</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;msg)</PRE>
<DL>
<DD>Start fragmented logging with the given message at log level FINE
 
 Calls <A HREF="../../../../ch/javasoft/util/logging/LogFragmenter.html#start(java.lang.String, java.util.logging.Level)"><CODE>start(String, Level)</CODE></A> with <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Level.html#FINE" title="class or interface in java.util.logging"><CODE>Level.FINE</CODE></A>
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="finerStart(java.lang.String)"><!-- --></A><H3>
finerStart</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/logging/LogFragmenter.html#line.151"><B>finerStart</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;msg)</PRE>
<DL>
<DD>Start fragmented logging with the given message at log level FINER
 
 Calls <A HREF="../../../../ch/javasoft/util/logging/LogFragmenter.html#start(java.lang.String, java.util.logging.Level)"><CODE>start(String, Level)</CODE></A> with <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Level.html#FINER" title="class or interface in java.util.logging"><CODE>Level.FINER</CODE></A>
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="finestStart(java.lang.String)"><!-- --></A><H3>
finestStart</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/logging/LogFragmenter.html#line.159"><B>finestStart</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;msg)</PRE>
<DL>
<DD>Start fragmented logging with the given message at log level FINEST
 
 Calls <A HREF="../../../../ch/javasoft/util/logging/LogFragmenter.html#start(java.lang.String, java.util.logging.Level)"><CODE>start(String, Level)</CODE></A> with <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Level.html#FINEST" title="class or interface in java.util.logging"><CODE>Level.FINEST</CODE></A>
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="append(java.lang.String)"><!-- --></A><H3>
append</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/logging/LogFragmenter.html#line.169"><B>append</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;msg)</PRE>
<DL>
<DD>Append the given message to the log, usually printed on the same log line
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>msg</CODE> - the message to append to the log
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalStateException.html" title="class or interface in java.lang">IllegalStateException</A></CODE> - if the logger has not yet been started</DL>
</DD>
</DL>
<HR>

<A NAME="end()"><!-- --></A><H3>
end</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/logging/LogFragmenter.html#line.181"><B>end</B></A>()</PRE>
<DL>
<DD>End fragmented logging without any additional message
<P>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalStateException.html" title="class or interface in java.lang">IllegalStateException</A></CODE> - if the logger has not yet been started</DL>
</DD>
</DL>
<HR>

<A NAME="end(java.lang.String)"><!-- --></A><H3>
end</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/logging/LogFragmenter.html#line.190"><B>end</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;msg)</PRE>
<DL>
<DD>End fragmented logging, appending the given message before logging is 
 closed
<P>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalStateException.html" title="class or interface in java.lang">IllegalStateException</A></CODE> - if the logger has not yet been started</DL>
</DD>
</DL>
<HR>

<A NAME="cleanUp()"><!-- --></A><H3>
cleanUp</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/logging/LogFragmenter.html#line.201"><B>cleanUp</B></A>()</PRE>
<DL>
<DD>End fragmented logging if it is started, or do nothing otherwise
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="isStarted()"><!-- --></A><H3>
isStarted</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/logging/LogFragmenter.html#line.208"><B>isStarted</B></A>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD><tt>true</tt> if fragmented logging has been started</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/LogFragmenter.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/util/logging/LogFormatter.LogParameter.html" title="enum in ch.javasoft.util.logging"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/util/logging/Loggers.html" title="class in ch.javasoft.util.logging"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/logging/LogFragmenter.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="LogFragmenter.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
